/*    ********************************
      *      CONTR & BASIC           *
      *   UA6ANN  Alexander Kostyuk  *
      *   RV3BJ   Evgeny Fadeev      *
      ********************************
*/
/************************************************************************************
 $Workfile:  $
 $Header:    $
 $Log:       $
************************************************************************************/
#ifndef __COMMANDS_N_FUNCTIONS_H__
#define __COMMANDS_N_FUNCTIONS_H__

#include "includes.h"

ARITH_BASE bas_functions(unsigned char fun_ndx);
void lcdinit_exec(void);
void twistart(void);
void twistop(void);
void twiwrite(void);
void twiinit(void);
void shift_out(void);
void formpulse(unsigned char port,unsigned char mask, unsigned short delay);
void pulseout(void);
void setadmux(void);
void write_eeprom(void);
void rol(void);
void ror(void);
short shift_in(   unsigned char port_data,
                  unsigned char mask_data,
                  unsigned char port_clk,
                  unsigned char mask_clk,
                  unsigned char bits,
                  unsigned char delay,
                  unsigned char opt,
                  short timeout );
short pulse_in(unsigned char port, unsigned char mask,unsigned char mode,short to);
void scale(void);
void defpin(void);
void put_atomic(void);
void poke(void);
void poke(void);
void attr(void);
void ink(void);
void paper(void);
char putbin(unsigned short val,char digits);
char putbcd(unsigned short val,char digits);
char puthex(unsigned short val,char digits);
void interrupt_exec(void);
void delete_vector(void);
void inline_exec(void);
void dac(void);
void adc(void);
void discrete_output(void);
void discrete_toggle(void);
void discrete_off(void);
void discrete_on(void);
void led_toggle(void);
void led_off(void);
void led_on(void);
void close_serial(void);
void open_serial(void);
void toggle_bit(void);
void set_bit(void);
void clr_bit(void);
void delay_(void);
#endif
