/*    ********************************
      *      CONTR & BASIC           *
      *   UA6ANN  Alexander Kostyuk  *
      *   RV3BJ   Evgeny Fadeev      *
      ********************************
*/
/************************************************************************************
 $Workfile:  $
 $Header:    $
 $Log:       $
************************************************************************************/
#ifndef __SYMLCD_H__
#define __SYMLCD_H__


#define LCD_16X1_TYPE0 0
#define LCD_16X1_TYPE1 1
#define LCD_16X2       2

#define LCD_PINS_INIT()  do { DDRD |= (1 << PD6);\
                              DDRD |= (1 << PD7);\
                              DDRA |= 0xF0;} while(0)



#define LCD_RS_LOW()      PORTD &= ~(1 << PD6)
#define LCD_RS_HIGH()     PORTD |= (1 << PD6)

#define LCD_E_LOW()      PORTD &= ~(1 << PD7)
#define LCD_E_HIGH()     PORTD |= (1 << PD7)

#define LCD_putchar(x)     LCD_WriteData(x)

void LCD_WriteData(unsigned char bt);
void LCD_putstr(char *str);
void LCD_init(char lcdtype);
void ANSI_input_stream_parser(char ch);
short get_key(void);
void keyinit_exec(void);
#endif
