/*    ********************************
      *      CONTR & BASIC           *
      *   UA6ANN  Alexander Kostyuk  *
      *   RV3BJ   Evgeny Fadeev      *
      ********************************
*/
/************************************************************************************
 $Workfile:  $
 $Header:    $
 $Log:       $
************************************************************************************/
#ifndef _FLASH_H
#define _FLASH_H


#ifdef MEGA8
#define  BYTES_FLASH_PSIZE  64
#define  WORDS_FLASH_PSIZE  32
#define  START_BOOT_ADDRESS 0x1300
#endif

#ifdef MEGA16
#define  BYTES_FLASH_PSIZE  128
#define  WORDS_FLASH_PSIZE  64
#define  START_BOOT_ADDRESS 0x3E00
#endif

#ifdef MEGA32
#define  BYTES_FLASH_PSIZE  128
#define  WORDS_FLASH_PSIZE  64
#define  START_BOOT_ADDRESS 0x7E00
#endif

#ifdef MEGA64
#define  BYTES_FLASH_PSIZE  256
#define  WORDS_FLASH_PSIZE  128
#define  START_BOOT_ADDRESS 28800
#endif


#define  TOTAL_BLOCKS       (START_BOOT_ADDRESS/BYTES_FLASH_PSIZE)
void FlashPage(unsigned short page, void *data, unsigned short len);
unsigned char read_program_memory(unsigned short address);
unsigned char *flash_byte(unsigned char *buf,unsigned long *blk, char symbol);
#endif
