/*    ********************************
      *      CONTR & BASIC           *
      *   UA6ANN  Alexander Kostyuk  *
      *   RV3BJ   Evgeny Fadeev      *
      ********************************
*/
/************************************************************************************
 $Workfile:  $
 $Header:    $
 $Log:       $
************************************************************************************/
#include "includes.h"


unsigned char rx_wr_ndx = 0;
unsigned char rx_rd_ndx = 0;
volatile unsigned char rx_cnt = 0;
volatile unsigned char tx_cnt = 0;

char rx_buf[SERIAL_RXBUFF_SIZE];

#pragma vector = USART_RXC_vect
__interrupt void USART_RX__isr(void)
{
   rx_buf[rx_wr_ndx] = UDR;
   if (++rx_wr_ndx == SERIAL_RXBUFF_SIZE) rx_wr_ndx = 0;
   if (++rx_cnt == SERIAL_RXBUFF_SIZE)
      rx_cnt = 0;
}


/********************************************************/
// Get a character from the UARTn Receiver buffer
/********************************************************/
int get_char(void)
{
int data;

#ifdef MAXI_SYSTEM
if (cur_channel == 2)
       return get_key();
#endif
if(rx_cnt == 0)
      return -1;
data = rx_buf[rx_rd_ndx];
if (++rx_rd_ndx == SERIAL_RXBUFF_SIZE) rx_rd_ndx = 0;
--rx_cnt;
return data;
}


